Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transaction
Class JNDITransactionManagerLookup

    java.lang.Object
      org.hibernate.transaction.JNDITransactionManagerLookup

All Implemented Interfaces:
  TransactionManagerLookup

Direct Known Subclasses:
  BESTransactionManagerLookup, JBossTransactionManagerLookup, JRun4TransactionManagerLookup, OC4JTransactionManagerLookup, OrionTransactionManagerLookup, ResinTransactionManagerLookup, SunONETransactionManagerLookup, WeblogicTransactionManagerLookup

    public abstract class JNDITransactionManagerLookup

extends Object
implements TransactionManagerLookup

Locates a `TransactionManager` in JNDI.

Author:
  Gavin King

Constructor Summary
`JNDITransactionManagerLookup()`

Method Summary
`protected abstract String` | `getName()`
`TransactionManager` | `getTransactionManager(Properties props)` Obtain the JTA `TransactionManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.transaction.TransactionManagerLookup
`getUserTransactionName`

Constructor Detail

### JNDITransactionManagerLookup

    public JNDITransactionManagerLookup()

Method Detail

### getTransactionManager

    public TransactionManager getTransactionManager(Properties props)
                                             throws HibernateException

  Description copied from interface: `TransactionManagerLookup`
  Obtain the JTA `TransactionManager`

  Specified by:
    `getTransactionManager` in interface `TransactionManagerLookup`
  Throws:
    `HibernateException`
  See Also:
    `TransactionManagerLookup.getTransactionManager(java.util.Properties)`

### getName

    protected abstract String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD